Package org.drinkless.tdlib

# Class TdApi.GetChatRevenueTransactions

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.ChatRevenueTransactions>
org.drinkless.tdlib.TdApi.GetChatRevenueTransactions

Enclosing class:
  TdApi

public static class TdApi.GetChatRevenueTransactions extends TdApi.Function<TdApi.ChatRevenueTransactions>
Returns the list of revenue transactions for a chat. Currently, this method can be used only for channels if supergroupFullInfo.canGetRevenueStatistics == true.

Returns `ChatRevenueTransactions`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `limit`
  The maximum number of transactions to be returned; up to 200.
  `int`
  `offset`
  Number of transactions to skip.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetChatRevenueTransactions()`
  Default constructor for a function, which returns the list of revenue transactions for a chat.
  `GetChatRevenueTransactions(long chatId, int offset, int limit)`
  Creates a function, which returns the list of revenue transactions for a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### offset

    public int offset
    Number of transactions to skip.

  - ### limit

    public int limit
    The maximum number of transactions to be returned; up to 200.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetChatRevenueTransactions

    public GetChatRevenueTransactions()
    Default constructor for a function, which returns the list of revenue transactions for a chat. Currently, this method can be used only for channels if supergroupFullInfo.canGetRevenueStatistics == true.

    Returns `ChatRevenueTransactions`

  - ### GetChatRevenueTransactions

    public GetChatRevenueTransactions(long chatId, int offset, int limit)
    Creates a function, which returns the list of revenue transactions for a chat. Currently, this method can be used only for channels if supergroupFullInfo.canGetRevenueStatistics == true.

    Returns `ChatRevenueTransactions`

    Parameters:
      `chatId` - Chat identifier.
      `offset` - Number of transactions to skip.
      `limit` - The maximum number of transactions to be returned; up to 200.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.ChatRevenueTransactions>`
    Returns:
      this.CONSTRUCTOR